# MemDFJK

class `psi4.core.``MemDFJK`

  Bases: `psi4.core.JK`

  docstring

  Methods Summary

  `dfh`(self) | Return the DFHelper object.

  Methods Documentation

  `dfh`(self: psi4.core.MemDFJK) → psi::DFHelper

    Return the DFHelper object.

  `C_add`(self: psi4.core.JK, arg0: psi4.core.Matrix) → None
  `C_clear`(self: psi4.core.JK) → None
  `C_left_add`(self: psi4.core.JK, arg0: psi4.core.Matrix) → None
  `C_right_add`(self: psi4.core.JK, arg0: psi4.core.Matrix) → None
  `D`(self: psi4.core.JK) → List[psi4.core.Matrix]
  `J`(self: psi4.core.JK) → List[psi4.core.Matrix]
  `K`(self: psi4.core.JK) → List[psi4.core.Matrix]
  `basisset`(self: psi4.core.JK) → psi4.core.BasisSet
  static `build`(orbital_basis, aux=None, jk_type=None, do_wK=None, memory=None)

    Constructs a Psi4 JK object from an input basis.

    Parameters:

    - orbital_basis (`BasisSet`) – Orbital basis to use in the JK object.
    - aux (`BasisSet`, optional) – Optional auxiliary basis set for density-fitted tensors. Defaults to the DF_BASIS_SCF if set, otherwise the correspond JKFIT basis to the passed in orbital_basis.
    - jk_type (str, optional) – Type of JK object to build (DF, Direct, PK, etc). Defaults to the current global SCF_TYPE option.

    Returns: | Uninitialized JK object.
    Return type: | `JK`

    Example

    jk = psi4.core.JK.build(bas) jk.set_memory(int(5e8)) # 4GB of memory jk.initialize()

    …

    jk.C_left_add(matirx) jk.compute() jk.C_clear()

    …

  `build_JK`(*args, **kwargs)

    Overloaded function.

    1. build_JK(arg0: psi4.core.BasisSet, arg1: psi4.core.BasisSet) -> psi4.core.JK
    2. build_JK(arg0: psi4.core.BasisSet, arg1: psi4.core.BasisSet, arg2: bool, arg3: int) -> psi4.core.JK
  `compute`(self: psi4.core.JK) → None
  `dfh`(self: psi4.core.MemDFJK) → psi::DFHelper

    Return the DFHelper object.

  `finalize`(self: psi4.core.JK) → None
  `initialize`(self: psi4.core.JK) → None
  `memory_estimate`(self: psi4.core.JK) → int
  `name`(self: psi4.core.JK) → str
  `print_header`(self: psi4.core.JK) → None

    docstring

  `set_cutoff`(self: psi4.core.JK, arg0: float) → None
  `set_do_J`(self: psi4.core.JK, arg0: bool) → None
  `set_do_K`(self: psi4.core.JK, arg0: bool) → None
  `set_do_wK`(self: psi4.core.JK, arg0: bool) → None
  `set_memory`(self: psi4.core.JK, arg0: int) → None
  `set_omega`(self: psi4.core.JK, arg0: float) → None
  `set_omp_nthread`(self: psi4.core.JK, arg0: int) → None
  `set_print`(self: psi4.core.JK, arg0: int) → None
  `wK`(self: psi4.core.JK) → List[psi4.core.Matrix]